最新消息:

win10 apache2.4.18 php 5.6.19

PHP looice 765浏览 0评论

手贱升了win10的14279,出现无法休眠,关机按钮失效一堆问题,无奈重装正式版10586,重新配置 apache php的时候,发现熟透了的配置居然在莫名其妙报错,百度 LoadModule php5_module 报错,发现答案都是鬼扯蛋,解决问题后备份一下,以防万一

LoadModule php5_module报错是肯定是由php的编译版本造成的,所以不管PHP还是apache还是mysql,在win10下面,统统选择X64版本,全部选择最高等级的VC编译,妥妥的,绝对不会错。

php下载地址 http://windows.php.net/download

apache 选择 apachelounge  http://www.apachelounge.com/download/

apache 服务安装命令 "目录"httpd.exe -k install

httpd.conf配置

文件最底部添加PHP解析

LoadModule php5_module "c:/ap/php/php5apache2_4.dll"
PHPIniDir "c:/ap/php/"
AddType application/x-httpd-php .php

php.ini 配置

要什么就去掉前面的分号

extension_dir = "ext",extension_dir = "*.dll"

 

 

转载请注明:looice » win10 apache2.4.18 php 5.6.19

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址